Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Class NO_RESPONSEHelper

    java.lang.Object
      |
      +--org.omg.CORBA.NO_RESPONSEHelper

public class NO_RESPONSEHelper
extends java.lang.Object

Helper class for : NO_RESPONSE

Author:
  OpenORB Compiler

Constructor Summary
`NO_RESPONSEHelper()`

Method Summary
`static NO_RESPONSE` | `extract(Any a)` Extract NO_RESPONSE from an any
`static java.lang.String` | `id()` Return the NO_RESPONSE IDL ID
`static void` | `insert(Any a, NO_RESPONSE t)` Insert NO_RESPONSE into an any
`static NO_RESPONSE` | `read(InputStream istream)` Read NO_RESPONSE from a marshalled stream
`static TypeCode` | `type()` Return the NO_RESPONSE TypeCode
`static void` | `write(OutputStream ostream, NO_RESPONSE value)` Write NO_RESPONSE into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NO_RESPONSEHelper

    public NO_RESPONSEHelper()

Method Detail

### insert

    public static void insert(Any a,
                              NO_RESPONSE t)

  Insert NO_RESPONSE into an any
  Parameters:
    `a` - an any
    `t` - NO_RESPONSE value

### extract

    public static NO_RESPONSE extract(Any a)

  Extract NO_RESPONSE from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted NO_RESPONSE value

### type

    public static TypeCode type()

  Return the NO_RESPONSE TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the NO_RESPONSE IDL ID
  Returns:
    an ID

### read

    public static NO_RESPONSE read(InputStream istream)

  Read NO_RESPONSE from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed NO_RESPONSE value

### write

    public static void write(OutputStream ostream,
                             NO_RESPONSE value)

  Write NO_RESPONSE into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - NO_RESPONSE value

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD